package w2phtml.regressionTests.html5;

import static org.junit.jupiter.api.Assertions.assertTrue;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

import org.apache.commons.io.FileUtils;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

public class HeadingWithSections {
    @Test
    @DisplayName("Heading with sections")
    void testExample() throws Exception{
    String testName = "heading_with_sections";
    List<String> arguments = new ArrayList<String>();
    arguments.add("-page_break_style");
    arguments.add("height:3em;margin-top:1em;margin-bottom:1em;background-color:red;");
    arguments.add("-html5");
    arguments.add("./testdocuments/input/"+testName+".odt");
    arguments.add("./testdocuments/output/"+testName+".html");
    w2phtml.Application.main(arguments.toArray(new String[0]));
    File result = new File("./testdocuments/output/"+testName+".html");
    File model = new File("./testdocuments/model/"+testName+".html");
    assertTrue( FileUtils.contentEquals(result, model),"The files differ!");
  }
}
